LibreOffice LibreOffice 25.8 SDK API Reference

Included Services | Exported Interfaces | Public Attributes | List of all members
DefaultProvider Service Referencepublished

is a ConfigurationProvider, that is the default ConfigurationProvider for its com::sun::star::uno::XComponentContext. More...

`import"DefaultProvider.idl";`

Inheritance diagram for DefaultProvider:

## Included Services
service | ConfigurationProvider
| characterizes the functionality. More...

## Exported Interfaces
interface | com::sun::star::util::XRefreshable
| Provides refresh capabilities, data can be refreshed from the backend(s) into the in-memory cache. More...
interface | com::sun::star::util::XFlushable
| Enables the data to be flushed from the in-memory cache to the backend(s). More...
interface | com::sun::star::lang::XLocalizable
| Enable setting/getting locale for Provider. More...
Exported Interfaces inherited from ConfigurationProvider
interface | com::sun::star::lang::XMultiServiceFactory
| allows creating access objects for specific views such as subsets and fragments of the configuration. More...
interface | com::sun::star::lang::XComponent
| allows controlling or observing the lifetime of the configuration. More...

## Public Attributes
boolean | EnableAsync
| Property to enable/disable asynchronous write-back from in-memory cache to backend(s) More...

## Additional Inherited Members
Public Member Functions inherited from XMultiServiceFactory
com::sun::star::uno::XInterface | createInstance ([in] string aServiceSpecifier) raises ( com::sun::star::uno::Exception )
| Creates an instance classified by the specified name. More...
com::sun::star::uno::XInterface | createInstanceWithArguments ([in] string ServiceSpecifier, [in] sequence< any > Arguments) raises ( com::sun::star::uno::Exception )
| Creates an instance classified by the specified name and passes the arguments to that instance. More...
sequence< string > | getAvailableServiceNames ()
| Provides the available names of the factory to be used to create instances. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Protected Member Functions inherited from XRefreshable
void | refresh ()
| refreshes the data of the object from the connected data source. More...
void | addRefreshListener ([in] com::sun::star::util::XRefreshListener l)
| adds the specified listener to receive the event "refreshed." More...
void | removeRefreshListener ([in] com::sun::star::util::XRefreshListener l)
| removes the specified listener. More...
Protected Member Functions inherited from XFlushable
void | flush ()
| flushes the data of the object to the connected data source. More...
void | addFlushListener ([in] com::sun::star::util::XFlushListener l)
| adds the specified listener to receive event "flushed." More...
void | removeFlushListener ([in] com::sun::star::util::XFlushListener l)
| removes the specified listener. More...
Protected Member Functions inherited from XLocalizable
void | setLocale ([in] Locale eLocale)
| sets the locale to be used by this object. More...
Locale | getLocale ()

## Detailed Description

is a ConfigurationProvider, that is the default ConfigurationProvider for its com::sun::star::uno::XComponentContext.

This object is accessible as singleton theDefaultProvider

.

Since
  OOo 1.1.2

## Exported Interfaces

## ◆ ConfigurationProvider

service ConfigurationProvider

characterizes the functionality.

## Exported Interfaces

## ◆ com::sun::star::lang::XLocalizable

interface com::sun::star::lang::XLocalizable
| optional

Enable setting/getting locale for Provider.

Since
  OOo 2.0

## ◆ com::sun::star::util::XFlushable

interface com::sun::star::util::XFlushable
| optional

Enables the data to be flushed from the in-memory cache to the backend(s).

## ◆ com::sun::star::util::XRefreshable

interface com::sun::star::util::XRefreshable
| optional

Provides refresh capabilities, data can be refreshed from the backend(s) into the in-memory cache.

## Member Data Documentation

## ◆ EnableAsync

boolean EnableAsync
| optional property

Property to enable/disable asynchronous write-back from in-memory cache to backend(s)

Since
  OOo 2.0

The documentation for this service was generated from the following file:

- com/sun/star/configuration/DefaultProvider.idl